
Installer - Bug #1408

Foreman Custom Function using STDLIB only

12/19/2011 06:42 PM - W. Andrew Loe III

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The example now requires 'rest_client' which people probably do not have. Rest client is just a nice wrapper on Net::HTTP so I've

implemented a different version which doesn't have the gem dependency.

[[https://gist.github.com/1499451]]

Associated revisions

Revision 3afe6d1a - 12/25/2011 04:13 AM - Ohad Levy

convered smart_var method to using std ruby libs only, refs #1408

History

#1 - 12/20/2011 06:47 AM - Ohad Levy

- Project changed from Foreman to Installer

#2 - 12/20/2011 06:47 AM - Ohad Levy

care to send that as a git patch? or should i just merge it manually?

#3 - 12/20/2011 12:20 PM - W. Andrew Loe III

git-am patch or a github pull request, I can do whatever is easiest for you.

#4 - 12/21/2011 03:47 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset commit:"4feced852a88f43f4389fa1a21753e461df5bcee".
